/*******************************************************************************
* File Name: TP2.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TP2_H) /* Pins TP2_H */
#define CY_PINS_TP2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TP2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TP2_Write(uint8 value) ;
void    TP2_SetDriveMode(uint8 mode) ;
uint8   TP2_ReadDataReg(void) ;
uint8   TP2_Read(void) ;
uint8   TP2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TP2_DRIVE_MODE_BITS        (3)
#define TP2_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TP2_DRIVE_MODE_BITS))

#define TP2_DM_ALG_HIZ         (0x00u)
#define TP2_DM_DIG_HIZ         (0x01u)
#define TP2_DM_RES_UP          (0x02u)
#define TP2_DM_RES_DWN         (0x03u)
#define TP2_DM_OD_LO           (0x04u)
#define TP2_DM_OD_HI           (0x05u)
#define TP2_DM_STRONG          (0x06u)
#define TP2_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TP2_MASK               TP2__MASK
#define TP2_SHIFT              TP2__SHIFT
#define TP2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TP2_PS                     (* (reg32 *) TP2__PS)
/* Port Configuration */
#define TP2_PC                     (* (reg32 *) TP2__PC)
/* Data Register */
#define TP2_DR                     (* (reg32 *) TP2__DR)
/* Input Buffer Disable Override */
#define TP2_INP_DIS                (* (reg32 *) TP2__PC2)


#if defined(TP2__INTSTAT)  /* Interrupt Registers */

    #define TP2_INTSTAT                (* (reg32 *) TP2__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TP2_DRIVE_MODE_SHIFT       (0x00u)
#define TP2_DRIVE_MODE_MASK        (0x07u << TP2_DRIVE_MODE_SHIFT)


#endif /* End Pins TP2_H */


/* [] END OF FILE */
