/*******************************************************************************
* File Name: TP3.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TP3_H) /* Pins TP3_H */
#define CY_PINS_TP3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TP3_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TP3_Write(uint8 value) ;
void    TP3_SetDriveMode(uint8 mode) ;
uint8   TP3_ReadDataReg(void) ;
uint8   TP3_Read(void) ;
uint8   TP3_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TP3_DRIVE_MODE_BITS        (3)
#define TP3_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TP3_DRIVE_MODE_BITS))

#define TP3_DM_ALG_HIZ         (0x00u)
#define TP3_DM_DIG_HIZ         (0x01u)
#define TP3_DM_RES_UP          (0x02u)
#define TP3_DM_RES_DWN         (0x03u)
#define TP3_DM_OD_LO           (0x04u)
#define TP3_DM_OD_HI           (0x05u)
#define TP3_DM_STRONG          (0x06u)
#define TP3_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TP3_MASK               TP3__MASK
#define TP3_SHIFT              TP3__SHIFT
#define TP3_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TP3_PS                     (* (reg32 *) TP3__PS)
/* Port Configuration */
#define TP3_PC                     (* (reg32 *) TP3__PC)
/* Data Register */
#define TP3_DR                     (* (reg32 *) TP3__DR)
/* Input Buffer Disable Override */
#define TP3_INP_DIS                (* (reg32 *) TP3__PC2)


#if defined(TP3__INTSTAT)  /* Interrupt Registers */

    #define TP3_INTSTAT                (* (reg32 *) TP3__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TP3_DRIVE_MODE_SHIFT       (0x00u)
#define TP3_DRIVE_MODE_MASK        (0x07u << TP3_DRIVE_MODE_SHIFT)


#endif /* End Pins TP3_H */


/* [] END OF FILE */
