/*******************************************************************************
* File Name: TP4.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TP4_H) /* Pins TP4_H */
#define CY_PINS_TP4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TP4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TP4_Write(uint8 value) ;
void    TP4_SetDriveMode(uint8 mode) ;
uint8   TP4_ReadDataReg(void) ;
uint8   TP4_Read(void) ;
uint8   TP4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TP4_DRIVE_MODE_BITS        (3)
#define TP4_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TP4_DRIVE_MODE_BITS))

#define TP4_DM_ALG_HIZ         (0x00u)
#define TP4_DM_DIG_HIZ         (0x01u)
#define TP4_DM_RES_UP          (0x02u)
#define TP4_DM_RES_DWN         (0x03u)
#define TP4_DM_OD_LO           (0x04u)
#define TP4_DM_OD_HI           (0x05u)
#define TP4_DM_STRONG          (0x06u)
#define TP4_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TP4_MASK               TP4__MASK
#define TP4_SHIFT              TP4__SHIFT
#define TP4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TP4_PS                     (* (reg32 *) TP4__PS)
/* Port Configuration */
#define TP4_PC                     (* (reg32 *) TP4__PC)
/* Data Register */
#define TP4_DR                     (* (reg32 *) TP4__DR)
/* Input Buffer Disable Override */
#define TP4_INP_DIS                (* (reg32 *) TP4__PC2)


#if defined(TP4__INTSTAT)  /* Interrupt Registers */

    #define TP4_INTSTAT                (* (reg32 *) TP4__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TP4_DRIVE_MODE_SHIFT       (0x00u)
#define TP4_DRIVE_MODE_MASK        (0x07u << TP4_DRIVE_MODE_SHIFT)


#endif /* End Pins TP4_H */


/* [] END OF FILE */
